Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt

Use this file to discover all available pages before exploring further.

Subscribe

Send this request body to Subscribe to a Trigger to start listening for this event on behalf of your user:
Subscribe Request
POST https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions

Authorization: Bearer {Paragon User Token}
Content-Type: application/json

{
  "integration": "googleCalendar",
  "type": "GOOGLE_CALENDAR_TRIGGER_EVENT_UPDATED",
  "parameters": {
    "calendarId": "{{settings.calendar}}",
    "collapseRecurringEventUpdates": true,
    "shouldTriggerOnPastEventUpdates": false
  }
}
Configuration options:
calendarId
TEXTAREA
Use Connect Portal Workflow Settings to allow users to select a calendar. Defaults to the user’s primary calendar if left blank.
  • Example value: {{settings.calendar}}
  • Options can be loaded by using the calendars key. Learn more in User Configuration.
collapseRecurringEventUpdates
BOOLEAN_INPUT
If on, recurring event updates will not be expanded into multiple instances of the event.
  • Default: true
shouldTriggerOnPastEventUpdates
BOOLEAN_INPUT
If on, this workflow will trigger when events that have already passed are updated. This can add significant event volume to this workflow.
  • Default: false